=== debian/changelog ===
glava (1.6.3-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 14 Apr 2023 15:29:15 -0700

glava (1.6.3-1~jammy) jammy; urgency=medium

  * Upload for new Ubuntu

 -- Logix <logix@linuxuprising.com>  Thu, 29 Dec 2022 21:43:53 +0000
 

glava (1.6.3-1~impish) impish; urgency=medium

  * Prepare for the upcoming Ubuntu 21.10

 -- Logix <logix@linuxuprising.com>  Tue, 05 Oct 2021 10:12:29 +0000

glava (1.6.3-1~hirsute) hirsute; urgency=medium

  * Prepare for the upcoming Ubuntu 21.04

 -- Logix <logix@linuxuprising.com>  Fri, 02 Apr 2020 14:44:18 +0000

glava (1.6.3-1~groovy) groovy; urgency=medium

  * Prepare for the upcoming Ubuntu 20.10

 -- Logix <logix@linuxuprising.com>  Thu, 05 Mar 2020 15:00:39 +0000

glava (1.6.3-1~focal) focal; urgency=medium

  * Prepare for the upcoming Ubuntu 20.04

 -- Logix <logix@linuxuprising.com>  Thu, 05 Mar 2020 15:00:39 +0000

glava (1.6.3-1~eoan) eoan; urgency=medium

  * Prepare for the upcoming Ubuntu 19.10

 -- Logix <logix@linuxuprising.com>  Mon, 23 Sep 2019 10:21:19 +0000

glava (1.6.3-1~disco) disco; urgency=medium

  * New releases:
    1.6.1: 
          A problem with artifacting in circle has been fixed, see #107
          --stdin has been added, which binds simple GLSL datatypes to STDIN in shaders.
    1.6.2:
          Fixed a critical issue with --stdin that caused the alpha channel to be garbage 
          data
          Added a premultiply step to bars to allow for proper handling of the alpha 
          channel on "native" transparency. This is disabled by default, assign USE_ALPHA 
          to 1 in bars.glsl to enable.
    1.6.3: fixed a spelling error in utils/premutliply.frag that broke native transparency 
          in most modules

 -- Logix <logix@linuxuprising.com>  Wed, 13 Mar 2019 12:46:13 +0000

glava (1.6.0-1~bionic) bionic; urgency=medium

  * New release
  * Changelog: https://github.com/wacossusca34/glava/releases/tag/v1.6.0

 -- Logix <logix@linuxuprising.com>  Mon, 11 Mar 2019 10:38:45 +0000

glava (1.5.8-1~disco3) disco; urgency=medium

  * First release
  * GLFW is not enabled because I couldn't get it to build in Ubuntu
  * Depend on libglvnd-dev (for the actual package, not for building) -
    without this an error like this is shown: "Failed to load GLX functions 
    (libGL and libGLX do not exist!)"

 -- Logix <logix@linuxuprising.com>  Tue, 27 Nov 2018 16:33:24 +0200
