=== debian/control ===
Source: glava
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Logix <logix@linuxuprising.com>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 12),
               libpulse-dev,
               libxcomposite-dev,
               libxext-dev,
               libxrender-dev,
#               python-all-dev
Homepage: https://github.com/wacossusca34/glava

Package: glava
Architecture: any
Depends: libglvnd-dev, ${misc:Depends}, ${shlibs:Depends}
Description: OpenGL audio spectrum visualizer
 GLava is an OpenGL audio spectrum visualizer.
 Its primary use case is for desktop windows or
 backgrounds.
